name:                 unix
version:              2.7.2.2
visibility:           public
id:                   unix-2.7.2.2
key:                  unix-2.7.2.2
license:              BSD-3-Clause
maintainer:           libraries@haskell.org
homepage:             https://github.com/haskell/unix
synopsis:             POSIX functionality
description:
    This package gives you access to the set of operating system
    services standardised by
    <http://pubs.opengroup.org/onlinepubs/9699919799/ POSIX.1-2008>
    (or the IEEE Portable Operating System Interface for Computing
    Environments - IEEE Std. 1003.1).

    The package is not supported under Windows.

category:             System
abi:                  bb33f95ac9e27a836df65eef2cc127cc
exposed:              True
exposed-modules:
    System.Posix System.Posix.ByteString
    System.Posix.ByteString.FilePath System.Posix.Directory
    System.Posix.Directory.ByteString System.Posix.DynamicLinker
    System.Posix.DynamicLinker.ByteString
    System.Posix.DynamicLinker.Module
    System.Posix.DynamicLinker.Module.ByteString
    System.Posix.DynamicLinker.Prim System.Posix.Env
    System.Posix.Env.ByteString System.Posix.Error System.Posix.Fcntl
    System.Posix.Files System.Posix.Files.ByteString System.Posix.IO
    System.Posix.IO.ByteString System.Posix.Process
    System.Posix.Process.ByteString System.Posix.Process.Internals
    System.Posix.Resource System.Posix.Semaphore System.Posix.SharedMem
    System.Posix.Signals System.Posix.Signals.Exts System.Posix.Temp
    System.Posix.Temp.ByteString System.Posix.Terminal
    System.Posix.Terminal.ByteString System.Posix.Time
    System.Posix.Unistd System.Posix.User

hidden-modules:
    System.Posix.Directory.Common System.Posix.DynamicLinker.Common
    System.Posix.Files.Common System.Posix.IO.Common
    System.Posix.Process.Common System.Posix.Terminal.Common

import-dirs:          /usr/lib/ghc/unix-2.7.2.2
library-dirs:         /usr/lib/ghc/unix-2.7.2.2
dynamic-library-dirs: /usr/lib/ghc/unix-2.7.2.2
data-dir:             /usr/share/x86_64-linux-ghc-8.8.4/unix-2.7.2.2
hs-libraries:         HSunix-2.7.2.2
include-dirs:         /usr/lib/ghc/unix-2.7.2.2/include
includes:             HsUnix.h execvpe.h
depends:              base-4.13.0.0 bytestring-0.10.10.1 time-1.9.3
haddock-interfaces:
    /usr/lib/ghc-doc/haddock/ghc/unix-2.7.2.2/unix.haddock

haddock-html:         /usr/share/doc/ghc-doc/html/libraries/unix-2.7.2.2
